use gtk::glib;
use gtk::subclass::prelude::*;

// Object holding the state
#[derive(Default)]
pub struct LabledSwitch;

// The central trait for subclassing a GObject
#[glib::object_subclass]
impl ObjectSubclass for LabledSwitch {
    const NAME: &'static str = "LabledSwitch";
    type Type = super::LabledSwitch;
    type ParentType = gtk::Widget;
}

impl ObjectImpl for LabledSwitch {}

impl WidgetImpl for LabledSwitch {}

impl ButtonImpl for LabledSwitch {}

// impl IsSubclassable for LabledSwitch {}